#!/bin/sh

BASEDIR="/var/qmail/vpopq_tcp";
PIDFILE="$BASEDIR/pid"
PORT="10001"
BIND_ADDR="10.23.42.5"
ERRORLOG="$BASEDIR/error.log"

case "$1" in
        start)
		echo -n "starting tcpserver (vpopq_server) on port $PORT..."
                /usr/local/bin/tcpserver -x $BASEDIR/tcp.cdb -c 50 -H -R $BIND_ADDR $PORT \
		$BASEDIR/vpopq_server 2>$ERRORLOG & 
		echo -n $! > $PIDFILE
		echo -n "done (PID "; cat $PIDFILE; echo ")"
                ;;
        stop)
                if [ -e $PIDFILE ]; then
			echo -n "stopping tcpserver on port $PORT..."
			kill `cat $PIDFILE`
			rm -f $PIDFILE
			echo "done"
		else
			echo "tcpserver not running (no pidfile)"
		fi
                ;;
        *)
                echo "Usage: ${0##*/} { start | stop }" >&2
                exit 64
                ;;
esac

exit 0

